[Overview][Constants][Types][Classes][Index] | Reference for unit 'BlowFish' (#fcl)

# TBlowFishDeCryptStream.Seek

Set the stream position.

## Declaration

Source position: blowfish.pp line 79

`public function TBlowFishDeCryptStream.Seek(`
`const Offset: Int64;`
`Origin: TSeekOrigin`
`):Int64; override;`

## Arguments

`Offset` |  | Offset. Only zero or positive values allowed.
`Origin` |  | Origin. Only soFromCurrent allowed.

## Function result

New position in the stream

## Description

Seek emulates a forward seek by reading and discarding data. The discarded data is lost. Since it is a forward seek, this means that only soFromCurrent can be specified for Origin with a positive (or zero) Offset value. All other values will result in an exception. The function returns the new position in the stream.

## Errors

If any other combination of Offset and Origin than the allowed combination is specified, then an EBlowFishError exception will be raised.

## See also

Read |  | Read data from the stream
EBlowFishError |  | Exception used to report errors.

Documentation generated on: Feb 26 2014